//+------------------------------------------------------------------+ 
//|   TRO_MACHANGE_SW                                                | 
//|                                                                  | 
//|   Copyright  2009, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|   All my indicators should be considered donationware. That is   |
//|   you are free to use them for your personal use, and are        |
//|   under no obligation to pay for them. However, if you do find   |
//|   this or any of my other indicators help you with your trading  |
//|   then any Gift or Donation as a show of appreciation is         |
//|   gratefully accepted.                                           |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators. :-)                                     |
//|                                                                  |
//|   PayPal - THERUMPLEDONE@GMAIL.COM                               |  
//+------------------------------------------------------------------+ 
//| Use http://therumpledone.mbtrading.com/fx/ as your forex broker  |  
//| ...tell them therumpledone sent you!                             |  
//+------------------------------------------------------------------+ 


#property  copyright "Copyright  2009, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 
  

#property indicator_separate_window
#property indicator_buffers 8
#property indicator_color1 Orange
#property indicator_color2 Red
#property indicator_color3 Green
#property indicator_color4 Red
#property indicator_color5 Green
#property indicator_color6 Blue
#property indicator_color7 Navy
#property indicator_color8 Chocolate
 
#property indicator_maximum 1
#property indicator_minimum -1

//---- indicator parameters
extern int MA_Period=8; 

extern string    notetype         = "0=SMA,1=EMA,2=SMMA,3=LWMA" ; 
extern int MA_Method=3;

extern string    noteprice        = "0=CLOSE,1=OPEN,2=HIGH,3=LOW,4=MEDIAN,5=PP,6=WEIGHT" ;
extern int       MAPrice          = PRICE_WEIGHTED ;
//---- indicator buffers

double BUFFER[];
double BUFFER1[];
double BUFFER2[];
double BUFFER3[];
 
//----
int CountedBars=0;
 
   int    draw_begin;
   string short_name="MACHANGE";
   
 int INDEX2, INDEX, i,IDX ;   
    
//+------------------------------------------------------------------+
int init()
  {


   SetIndexStyle(0,DRAW_NONE);
   SetIndexStyle(1,DRAW_NONE);
   SetIndexStyle(2,DRAW_ARROW);  
   SetIndexStyle(3,DRAW_ARROW);    
   
   SetIndexBuffer(0,BUFFER);
   SetIndexBuffer(1,BUFFER1);
   SetIndexBuffer(2,BUFFER2);  
   SetIndexBuffer(3,BUFFER3);  

   SetIndexArrow(2, 233);
   SetIndexArrow(3, 234);
 
          
   return(0);
  }
                                     
//+------------------------------------------------------------------+
int start()
  {
   if(Bars<=MA_Period) return(0);
   
   CountedBars=IndicatorCounted();  
   
   if (CountedBars<0) return(-1);

   if (CountedBars>0) CountedBars--;

   IDX = Bars - CountedBars - 1 ;

   if(IDX < MA_Period) { IDX = MA_Period; }

   INDEX  = IDX ;
   INDEX2 = IDX ; 
   
   while(IDX>=0)
     {
      BUFFER[IDX] = iMA(NULL,0,MA_Period,0,MA_Method,0,IDX) ;      
 	   IDX--;
     }
  
   while(INDEX>=0)
     {
      if(BUFFER[INDEX] > BUFFER[INDEX+1]) {BUFFER1[INDEX]= 1.0 ; }
      else {BUFFER1[INDEX]= -1.0 ; }    
 	   INDEX--;
     }

   while(INDEX2>=0)
     {
      BUFFER2[INDEX2]= EMPTY_VALUE ;  
      BUFFER3[INDEX2]= EMPTY_VALUE ;
       
      if(BUFFER1[INDEX2] > BUFFER1[INDEX2+1]) {BUFFER2[INDEX2]= 0.0 ; } else
      if(BUFFER1[INDEX2] < BUFFER1[INDEX2+1]) {BUFFER3[INDEX2]= 0.0 ; }   
        	   
 	   INDEX2--;
     }
 
   return(0);
  }

//+------------------------------------------------------------------+

/*

   Comment
   ( 
      "INDEX2 ", INDEX2 , "\n",
      "BUFFER1[0]", DoubleToStr(BUFFER1[0],0) , "\n",
      "BUFFER1[1]", DoubleToStr(BUFFER1[1],0) , "\n",
      "BUFFER1[2]", DoubleToStr(BUFFER1[2],0) , "\n",
      "\n",
      "BUFFER2[0]", DoubleToStr(BUFFER2[0],0) , "\n",
      "BUFFER2[1]", DoubleToStr(BUFFER2[1],0) , "\n",
      "BUFFER2[2]", DoubleToStr(BUFFER2[2],0) , "\n",
   
   "") ; 
   
*/